Project

General

Profile

Bug #192

Fehlende Versionsinformationen bei gwengui Bibliotheken

Added by rhabacker 23 days ago. Updated 22 days ago.

Status:
Closed
Priority:
Normal
Category:
Gwenhywfar
Start date:
02/06/2020
Due date:
Betriebssystem:
Linux, Windows
AqBanking-Version:
6.0.2
Anwendung:
KMyMoney
Version der Anwendung:
4.8

Description

Distributionen verwalten Paketabhängigkeiten auf der Basis des Dateinamens von Shared Libraries (zumindest bei openSUSE, das ich kenne), was im Fall der gwengui-xxx-Bibliotheken nicht funktioniert, weil sie keine oder immer die gleichen Versionsinformationen (=0) enthalten (im Gegensatz zu libgwenhywfar und libgwenhywfar-plugins).

Dies kann zur Installation einer ungeeigneten Version führen, wenn zwei Paketquellen auf einem System konfiguriert werden, die verschiedene Versionen von gwenhywfar enthalten (wie bei mir passiert)

Um das zu vermeiden, erhalten die genannten Bibliotheken mit diesem Patch entsprechende Versionsinformationen.

0001-Add-version-info-in-gui-related-shared-libraries.patch Magnifier (4.08 KB) rhabacker, 02/06/2020 12:20 AM

History

#1 Updated by martin 22 days ago

  • Status changed from New to Closed

Danke, ist im git.

Also available in: Atom PDF